var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import _ from 'lodash';
import { Field, ErrorMessage } from 'formik';
import Lock from '@material-ui/icons/VisibilityOff';
import LockOpen from '@material-ui/icons/Visibility';
import RequiredField from './forms/RequiredField';
var Password = /** @class */ (function (_super) {
    __extends(Password, _super);
    function Password(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            type: 'password',
        };
        _this.show = _this.show.bind(_this);
        return _this;
    }
    Password.prototype.show = function () {
        this.setState({
            type: this.state.type === 'input' ? 'password' : 'input',
        });
    };
    Password.prototype.render = function () {
        var _this = this;
        var lockIcon;
        var label;
        var classNames;
        if (!this.props.field.isArrayField) {
            label = (React.createElement("label", { className: this.props.lClass, htmlFor: this.props.field.id },
                this.props.field.label,
                ' ',
                this.props.field.isRequired && React.createElement(RequiredField, null)));
            classNames = 'form-control';
        }
        else {
            classNames = 'form-control';
        }
        if (this.props.field.type === 'password') {
            lockIcon = React.createElement(Lock, null);
        }
        else {
            lockIcon = React.createElement(LockOpen, null);
        }
        return (React.createElement("div", { className: this.props.classes },
            label,
            React.createElement("div", { className: this.props.dClass },
                React.createElement(Field, { type: "text", name: this.props.name }, function (FieldProp) { return (React.createElement("div", { className: "input-group", key: _this.props.field.id },
                    React.createElement("input", __assign({ id: _this.props.name, type: _this.state.type, className: classNames +
                            (_.get(FieldProp.form.errors, _this.props.name) &&
                                _.get(FieldProp.form.touched, _this.props.name)
                                ? ' is-invalid '
                                : ''), autoComplete: "off" }, FieldProp.field)),
                    React.createElement("div", { className: "input-group-append", onClick: _this.show },
                        React.createElement("span", { className: "input-group-text" }, lockIcon)))); }),
                React.createElement(ErrorMessage, { name: this.props.name, component: "div", className: "required" }))));
    };
    return Password;
}(React.PureComponent));
export default Password;
//# sourceMappingURL=Password.js.map