var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import React from 'react';
import _ from 'lodash';
import DatePicker from 'react-datepicker';
import { Field, ErrorMessage } from 'formik';
import RequiredField from './forms/RequiredField';
var CustomDatePicker = /** @class */ (function (_super) {
    __extends(CustomDatePicker, _super);
    function CustomDatePicker() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CustomDatePicker.prototype.render = function () {
        var _this = this;
        var label;
        var classNames;
        if (!this.props.field.isArrayField) {
            label = (React.createElement("label", { className: this.props.lClass, htmlFor: this.props.field.id },
                this.props.field.label,
                ' ',
                this.props.field.isRequired && React.createElement(RequiredField, null)));
            classNames = 'form-control';
        }
        else {
            classNames = 'form-control';
        }
        return (React.createElement("div", { className: this.props.classes, key: this.props.name },
            label,
            React.createElement("div", { className: this.props.dClass },
                React.createElement(Field, { type: "text", name: this.props.name }, function (FieldProp) { return (React.createElement(DatePicker, { id: _this.props.name, name: _this.props.name, selected: (_this.props.field.value &&
                        new Date(_this.props.field.value)) ||
                        null, dateFormat: "dd/MM/yyyy", autoComplete: "off", onChange: function (v) {
                        _this.props.field.value = v;
                        _this.props.form.setFieldValue(_this.props.name, v);
                    }, className: classNames +
                        (_.get(FieldProp.form.errors, _this.props.name) &&
                            _.get(FieldProp.form.touched, _this.props.name)
                            ? ' is-invalid '
                            : '') })); }),
                React.createElement(ErrorMessage, { name: this.props.name, component: "div", className: "required" }))));
    };
    return CustomDatePicker;
}(React.PureComponent));
export default CustomDatePicker;
//# sourceMappingURL=DatePicker.js.map