var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import _ from 'lodash';
import { Field, ErrorMessage } from 'formik';
import RequiredField from './forms/RequiredField';
var InputText = /** @class */ (function (_super) {
    __extends(InputText, _super);
    function InputText() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /*
    handleChange(e: any) {
      this.props.form.setFieldValue(this.state.name, e.target.value);
      this.props.onEvent(e);
    }
    */
    InputText.prototype.render = function () {
        var _this = this;
        var label;
        var classNames;
        if (!this.props.field.isArrayField) {
            label = (React.createElement("label", { className: this.props.lClass, htmlFor: this.props.field.id },
                this.props.field.label,
                ' ',
                this.props.field.isRequired && React.createElement(RequiredField, null)));
            classNames = 'form-control';
        }
        else {
            classNames = 'form-control';
        }
        return (React.createElement("div", { className: this.props.classes, key: this.props.name },
            label,
            React.createElement("div", { className: this.props.dClass },
                React.createElement(Field, { type: "text", name: this.props.name }, function (FieldProp) { return (React.createElement("div", null,
                    React.createElement("input", __assign({ id: _this.props.name, type: "text" }, FieldProp.field, { className: classNames +
                            (_.get(FieldProp.form.errors, _this.props.name) &&
                                _.get(FieldProp.form.touched, _this.props.name)
                                ? ' is-invalid '
                                : ''), autoComplete: "off" })))); }),
                React.createElement(ErrorMessage, { name: this.props.name, component: "div", className: "required" }))));
    };
    return InputText;
}(React.Component));
export default InputText;
//# sourceMappingURL=InputText.js.map