var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import _ from 'lodash';
import Select from 'react-select';
import { Field, ErrorMessage } from 'formik';
import RequiredField from './forms/RequiredField';
var ReactSelect = /** @class */ (function (_super) {
    __extends(ReactSelect, _super);
    function ReactSelect(props) {
        var _this = _super.call(this, props) || this;
        _this.handleChange = function (value) {
            _this.props.onChange(_this.props.name, value);
        };
        _this.handleChange = _this.handleChange.bind(_this);
        return _this;
    }
    ReactSelect.prototype.render = function () {
        var _this = this;
        var customStyles = {
            option: function (provided) { return (__assign(__assign({}, provided), { height: '31px', padding: '6px' })); },
            placeholder: function (provided) { return (__assign(__assign({}, provided), { top: '45%' })); },
            container: function (provided) { return (__assign(__assign({}, provided), { minHeight: '1px', textAlign: 'left' })); },
            control: function (provided) { return (__assign(__assign({}, provided), { border: '1px solid #ced4da', borderRadius: '0', minHeight: '1px', cursor: 'pointer', height: '31px', boxShadow: 'none' })); },
            input: function (provided) { return (__assign(__assign({}, provided), { paddingTop: '-12px', minHeight: '1px' })); },
            dropdownIndicator: function (provided) { return (__assign(__assign({}, provided), { minHeight: '1px', paddingTop: '0', paddingBottom: '0', color: '#757575' })); },
            indicatorsContainer: function (provided) { return (__assign(__assign({}, provided), { height: '29px' })); },
            clearIndicator: function (provided) { return (__assign(__assign({}, provided), { minHeight: '1px' })); },
            valueContainer: function (provided) { return (__assign(__assign({}, provided), { minHeight: '1px', height: '31px', paddingTop: '0', paddingBottom: '0' })); },
            multiValue: function (provided) { return (__assign({}, provided)); },
            singleValue: function (provided) { return (__assign(__assign({}, provided), { minHeight: '1px', paddingBottom: '2px' })); },
            menu: function (provided) { return (__assign(__assign({}, provided), { margin: 0 })); },
            menuList: function (provided) { return (__assign(__assign({}, provided), { padding: 0 })); },
        };
        var label;
        var classNames;
        if (!this.props.field.isArrayField) {
            label = (React.createElement("label", { className: this.props.lClass, htmlFor: this.props.field.id },
                this.props.field.label,
                ' ',
                this.props.field.isRequired && React.createElement(RequiredField, null)));
        }
        return (React.createElement("div", { className: this.props.classes, key: this.props.name },
            label,
            React.createElement("div", { className: this.props.dClass },
                React.createElement(Field, { name: this.props.name }, function (FieldProp) { return (React.createElement(Select, __assign({ className: classNames +
                        (_.get(FieldProp.form.errors, _this.props.name) &&
                            _.get(FieldProp.form.touched, _this.props.name)
                            ? ' is-invalid '
                            : ''), name: _this.props.name }, FieldProp.field, { styles: customStyles, id: _this.props.name, 
                    // onBlur={this.handleBlur}
                    value: _this.props.value, onChange: _this.handleChange, options: _this.props.field.options, components: {
                        IndicatorSeparator: function () { return null; },
                    }, theme: function (theme) { return (__assign(__assign({}, theme), { borderRadius: 0 })); }, isMulti: _this.props.isMulti }))); }),
                React.createElement(ErrorMessage, { name: this.props.name, component: "div", className: "required" }))));
    };
    return ReactSelect;
}(React.PureComponent));
export default ReactSelect;
//# sourceMappingURL=Select.js.map